package org.hibernate.auction.exceptions;

/**
 * Wyjątek służy do wskazywania sytuacji złamania reguł biznesowych.
 *
 * @author Christian Bauer <christian@hibernate.org>
 */
public class BusinessException
	extends RuntimeException {

	public BusinessException() {}

	public BusinessException(String message) {
		super(message);
	}

	public BusinessException(String message, Throwable cause) {
		super(message, cause);
	}

	public BusinessException(Throwable cause) {
		super(cause);
	}
}
